gtkmm: Gtk::Curve Class Reference

# Gtk::Curve Class Reference

Allows direct editing of a curve. More...

Inherits Gtk::DrawingArea.

Collaboration diagram for Gtk::Curve:
[legend]

List of all members.

## Public Member Functions

virtual | ~Curve ()
GtkCurve* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCurve* | gobj () const
| Provides access to the underlying C GtkObject.
| Curve ()
void | reset ()
void | set_gamma (float gamma)
void | set_range (float min_x, float max_x, float min_y, float max_y)
void | get_vector (int veclen, float* data) const
Glib::ArrayHandle< float > | get_vector (int veclen) const
void | set_vector (const Glib::ArrayHandle< float >& array)
void | set_curve_type (CurveType type)
Glib::SignalProxy0< void > | signal_curve_type_changed ()
Glib::PropertyProxy< CurveType > | property_curve_type ()
| Is this curve linear.
Glib::PropertyProxy_ReadOnly < CurveType > | property_curve_type () const
| Is this curve linear.
Glib::PropertyProxy< float > | property_min_x ()
| Minimum possible value for X.
Glib::PropertyProxy_ReadOnly < float > | property_min_x () const
| Minimum possible value for X.
Glib::PropertyProxy< float > | property_max_x ()
| Maximum possible X value.
Glib::PropertyProxy_ReadOnly < float > | property_max_x () const
| Maximum possible X value.
Glib::PropertyProxy< float > | property_min_y ()
| Minimum possible value for Y.
Glib::PropertyProxy_ReadOnly < float > | property_min_y () const
| Minimum possible value for Y.
Glib::PropertyProxy< float > | property_max_y ()
| Maximum possible value for Y.
Glib::PropertyProxy_ReadOnly < float > | property_max_y () const
| Maximum possible value for Y.

## Protected Member Functions

virtual void | on_curve_type_changed ()

## Related Functions

(Note that these are not member functions.)
Gtk::Curve* | wrap (GtkCurve* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Allows direct editing of a curve.

Deprecated:
  As of gtkmm 2.20, this widget has been deprecated since it is too specialized.

## Constructor & Destructor Documentation

virtual Gtk::Curve::~Curve | ( |  | ) | `[virtual]`

Gtk::Curve::Curve | ( |  | ) |

## Member Function Documentation

Glib::ArrayHandle<float> Gtk::Curve::get_vector | ( | int | veclen | ) | const

void Gtk::Curve::get_vector | ( | int | veclen,
|  | float * | data |
| ) |  |  | const

const GtkCurve* Gtk::Curve::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::DrawingArea.

GtkCurve* Gtk::Curve::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::DrawingArea.

virtual void Gtk::Curve::on_curve_type_changed | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<CurveType> Gtk::Curve::property_curve_type | ( |  | ) | const

Is this curve linear.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<CurveType> Gtk::Curve::property_curve_type | ( |  | ) |

Is this curve linear.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::Curve::property_max_x | ( |  | ) | const

Maximum possible X value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Curve::property_max_x | ( |  | ) |

Maximum possible X value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::Curve::property_max_y | ( |  | ) | const

Maximum possible value for Y.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Curve::property_max_y | ( |  | ) |

Maximum possible value for Y.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::Curve::property_min_x | ( |  | ) | const

Minimum possible value for X.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Curve::property_min_x | ( |  | ) |

Minimum possible value for X.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gtk::Curve::property_min_y | ( |  | ) | const

Minimum possible value for Y.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Curve::property_min_y | ( |  | ) |

Minimum possible value for Y.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Curve::reset | ( |  | ) |

void Gtk::Curve::set_curve_type | ( | CurveType | type | ) |

void Gtk::Curve::set_gamma | ( | float | gamma | ) |

void Gtk::Curve::set_range | ( | float | min_x,
|  | float | max_x,
|  | float | min_y,
|  | float | max_y |
| ) |  |  |

void Gtk::Curve::set_vector | ( | const Glib::ArrayHandle< float > & | array | ) |

Glib::SignalProxy0< void > Gtk::Curve::signal_curve_type_changed | ( |  | ) |

Prototype:
  `void on_my_curve_type_changed()`

## Friends And Related Function Documentation

Gtk::Curve* wrap | ( | GtkCurve * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/curve.h